/*
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */
akeeba.jQuery(document).ready(function($){
    akeeba.fef.dropdown();

    $('.assignto nav.akeeba-dropdown a').on('click', function(){
        var btn_class = '--grey';
        var id	   	  = $(this).parents('td').find('input.ticket_id').val();
        var assign_to = $(this).data('userid');

        // Teal class if we're assigning to us
        if (assign_to && assign_to == document.getElementById('user_id').value){
            btn_class = '--teal';
        }
        // Dark if it's assigned to someone else
        else if (assign_to){
            btn_class = '--dark';
        }

        var structure = {
            _rootElement: this,
            type: "POST",
            dataType: 'json',
            url : 'index.php?option=com_ats&view=Tickets&format=json&' + $('#token').attr('name') + '=1',
            data: {
                'task' : 'assign',
                'id'   : id,
                'assigned_to' : assign_to
            },
            success: function(responseJSON)
            {
                var assigned = $(this._rootElement).parents('nav').find('button');

                if(responseJSON.result == true){
                    assigned.removeClass('akeeba-btn--small--grey akeeba-btn--small--teal akeeba-btn--small--dark');
                    assigned.addClass('akeeba-btn--small' + btn_class);
                    assigned.html(responseJSON.assigned);
                }
            }
        };

        $.ajax( structure );
    });

	$('.ticketstatus nav.akeeba-dropdown a').click(function(){
		var self = this;
		var btn_status = 'orange';
		var status = $(this).data('status');

		if (status == 'O'){
            btn_status = 'red';
        }
		else if (status == 'C'){
		    btn_status = 'green';
        }

        $.ajax('index.php?option=com_ats&view=Tickets&task=ajax_set_status&format=json&'+$('#token').attr('name')+'=1',{
			type : 'POST',
			dataType : 'json',
			data : {
				'id' 	 : $(this).parents('tr').find('input[name="cid[]"]').val(),
				'status' : status
			},
			success : function(responseJSON){
				if(responseJSON.err){
					alert(responseJSON.err);
				}
				else{
					var label = $(self).parents('nav').find('button');
					label.removeClass('akeeba-btn--small--orange akeeba-btn--small--red akeeba-btn--small--green');
					label.addClass('akeeba-btn--small--' + btn_status);
					label.html(responseJSON.msg);
				}
			}
		})
	});

    $('#bucketadd').click(function(){
        if(document.adminForm.boxchecked.value == 0)
        {
            alert(Joomla.JText._('JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST'));
            return false;
        }

        var href = $('#bucketadd').attr('href');

        $('input[name="cid[]"]:checked').each(function(i, item){
            href += '&ats_ticket_id[]=' + $(item).val();
        });

        ats.Modal.open({
			iframe: href,
            width: 1050,
            height: 550
		});

        return false;
    });
});
